at.chipkarte.client.elgaad.soap.exceptions

## Class ElgaadExceptionContent

- Object
- - at.chipkarte.client.base.soap.exceptions.BaseExceptionContent
  - - at.chipkarte.client.elgaad.soap.exceptions.ElgaadExceptionContent

-     public class ElgaadExceptionContent
      extends BaseExceptionContent

  Exception-Inhalt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElgaadExceptionContent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TransaktionsInfo` | `getTransaktionsinfo()` Informationen zur Transaktionsnummer.
    `String` | `getValidierungsId()` ValidierungsId der zugeordneten, betroffenen Struktur.
    `void` | `setTransaktionsinfo(TransaktionsInfo transaktionsinfo)`
    `void` | `setValidierungsId(String validierungsId)`

    - ### Methods inherited from class at.chipkarte.client.base.soap.exceptions.BaseExceptionContent

      `getCode, getErrorCode, getMessage, setCode, setErrorCode, setMessage`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElgaadExceptionContent

          public ElgaadExceptionContent()

  - ### Method Detail

    - #### getValidierungsId

          public String getValidierungsId()

      ValidierungsId der zugeordneten, betroffenen Struktur.
      Angabe: Bedingt.
      Die ValidierungsId wird nur mitgeliefert wenn:
      - diese durch die VPSWH angegeben wurde
      - die Meldung einer Struktur zuordbar ist
      Bsp.: Bei der Funktion abgabenSpeichern() werden mehrere Abgaben angegeben. Die VPSWH versorgt für jede Abgabe innerhalb der untergelagerten Struktur `metadaten/dokumentId` eine eindeutige Id (sowohl die Versorgung selbst, auch auch die Sicherstellung, dass die Ids eindeutig sind, liegt in der Verantwortung der VPSWH). Bei der Verarbeitung wird in der 3ten Abgabe ein Fehler festgestellt, der eindeutig dieser Abgabe zugeordnet werden kann. Diese Abgabe wurde mit der ValidierungsId "xyz" gekennzeichnet. In der Meldung wird daher diese ValidierungsId retourniert.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        ValidierungsId der betroffenen Struktur.

    - #### setValidierungsId

          public void setValidierungsId(String validierungsId)

    - #### getTransaktionsinfo

          public TransaktionsInfo getTransaktionsinfo()

      Informationen zur Transaktionsnummer. Siehe `TransaktionsInfo`.
      Angabe: Kann.
      Returns:
        TransaktionsInfo.

    - #### setTransaktionsinfo

          public void setTransaktionsinfo(TransaktionsInfo transaktionsinfo)